package com.dcsoft.system.consume.domain;

import java.util.Date;

import com.dcsoft.common.core.web.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.dcsoft.common.core.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 分组餐补对象 consume_group_record
 *
 * @author nichun
 * @date 2024-04-12
 */
public class ConsumeGroupRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 工号 */
    @Excel(name = "工号")
    private String empId;

    /** 帐号 */
    @Excel(name = "帐号")
    private Long accountId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String accountName;

    /** 工号 */
    @Excel(name = "工号")
    private String branchId;

    /** 部门 */
    @Excel(name = "部门")
    private String branchName;

    /** 职位 */
    @Excel(name = "职位")
    private String position;

    /** 金额 */
    @Excel(name = "金额")
    private Double allMoney;

    /** 补贴时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "补贴时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date subsidyTime;

    /** 删除标志（0代表存在1代表已补贴2代表删除） */
    private String delFlag;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setEmpId(String empId)
    {
        this.empId = empId;
    }

    public String getEmpId()
    {
        return empId;
    }
    public void setAccountId(Long accountId)
    {
        this.accountId = accountId;
    }

    public Long getAccountId()
    {
        return accountId;
    }
    public void setAccountName(String accountName)
    {
        this.accountName = accountName;
    }

    public String getAccountName()
    {
        return accountName;
    }
    public void setBranchId(String branchId)
    {
        this.branchId = branchId;
    }

    public String getBranchId()
    {
        return branchId;
    }
    public void setBranchName(String branchName)
    {
        this.branchName = branchName;
    }

    public String getBranchName()
    {
        return branchName;
    }
    public void setPosition(String position)
    {
        this.position = position;
    }

    public String getPosition()
    {
        return position;
    }
    public void setAllMoney(Double allMoney)
    {
        this.allMoney = allMoney;
    }

    public Double getAllMoney()
    {
        return allMoney;
    }
    public void setSubsidyTime(Date subsidyTime)
    {
        this.subsidyTime = subsidyTime;
    }

    public Date getSubsidyTime()
    {
        return subsidyTime;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("empId", getEmpId())
            .append("accountId", getAccountId())
            .append("accountName", getAccountName())
            .append("branchId", getBranchId())
            .append("branchName", getBranchName())
            .append("position", getPosition())
            .append("allMoney", getAllMoney())
            .append("subsidyTime", getSubsidyTime())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
